/**
 * Classe che rappresenta un abbonato: e' costituito da una persona
 * (titolare di abbonamento), da un abbonamento (titolo posseduto
 * dalla persona), entrambi ereditati dalla super-classe InfoBase,
 * e da una password che sara' usata per accedere al data base.
 */
public class Abbonato extends InfoBase
{
  // Attributi
  
  /** Password che sara' usata per accedere al data base. */
  protected String password;
 
  // Costruttore
  
  /**
   * Crea un abbonato dati una persona ed un abbonamento.
   * La password e' la stringa vuota "".
   * @param p    una persona, che diventa il titolare
   * @param a    un abbonamento, che diventa il titolo
   */
  public Abbonato(Persona p, Abbonamento a)
  { 
    super(p,a);
    password = "";
  }

  /** Costruttore di copia. */
  public Abbonato(Abbonato a)
  {
    titolare = new Persona(a.titolare); // copia la persona
    titolo = new Abbonamento(a.titolo); // copia l'abbonamento
    password = a.password;
  }
  
  // Funzioni per ritornare ed assegnare gli attributi
  
  /** Ritorna la password. */
  public String getPassword() {  return password;  }
  /** Assegna la password. */
  public void setPassword(String pwd) {  password = pwd;  }
}
