/**
 * Rappresenta coppie persona (titolare di abbonamento) e
 * abbonamento (titolo posseduto dalla persona).
 * Super-classe di Abbonato e di Criterio.
 */
public class InfoBase
{
  /** Persona titolare dell'abbonamento. */
  public Persona titolare;
  /** Abbonamento posseduto dalla persona. */
  public Abbonamento titolo;

  /**
   * Crea coppia dove tutti gli attrinuti della persona e 
   * dell'abbonamento sono valori
   * non specificati ("" le stringhe e 0 i numeri).
   */    
  protected InfoBase()
  {
    titolare = new Persona();
    titolo = new Abbonamento();
  }
  
  /**
   * Crea coppia dati una persona ed un abbonamento.
   * @param p    una persona, che diventa il titolare
   * @param a    un abbonamento, che diventa il titolo
   */  
  public InfoBase(Persona p, Abbonamento a)
  { 
    titolare = p;
    titolo = a;
  }
  
}
