/**
 * Definisce le infomazioni per una persona:
 * cognome, nome, anno di nascita; indirizzo, telefono, email.
 */
public class Persona
{
  // Attributi
  
  /** Cognome della persona. */
  private String cognome;
  /** Nome della persona. */
  private String nome;
  /** Anno di nascita della persona. */
  private int annoNascita;
  
  /** Indirizzo dove abita la persona. */
  private String indirizzo;
  /** Telefono della persona. */
  private String telefono;
  /** Indirizzo email della persona. */
  private String email;

  // Costruttori
  
  /**
   * Costruisce una persona dati cognome, nome, anno di nascita,
   * gli altri attributi sono posti uguali alla stringa vuota.
   * Dovro' assegnarli separatamente con le funzioni "set".
   * @param  c   cognome
   * @param  n   nome
   * @param  a   anno di nascita
   */
  public Persona(String c, String n, int a)
  {
    cognome = c;
    nome = n;
    annoNascita = a;
    indirizzo = "";
    telefono = "";
    email = "";
  }

  /**
   * Costruisce una persona con tutti gli attrinuti a valori
   * non specificati ("" le stringhe e 0 i numeri).
   */
  protected Persona()
  {
    cognome = "";
    nome = "";
    annoNascita = 0;
    indirizzo = "";
    telefono = "";
    email = "";    
  }
  
  /** Costruttore di copia. */
  public Persona(Persona p)
  {
    cognome = p.cognome;
    nome = p.nome;
    annoNascita = p.annoNascita;
    indirizzo = p.indirizzo;
    telefono = p.telefono;
    email = p.email;
  }

  // Funzioni per ritornare gli attributi

  /** Ritorna il cognome della persona. */
  public String getCognome() {  return cognome;  }
  /** Ritorna il nome della persona. */
  public String getNome() {  return nome;  }
  /** Ritorna l'anno di nascita della persona. */
  public int getAnnoNascita() {  return annoNascita;  }
    
  /** Ritorna l'indirizzo dove abita la persona. */
  public String getIndirizzo() {  return indirizzo;  }
  /** Ritorna il telefono della persona. */
  public String getTelefono() {  return telefono;  }
  /** Ritorna l'indirizzo email della persona. */
  public String getEmail() {  return email;  }
  
  // Funzioni per assegnare gli attributi

  /** Assegna il cognome della persona. */
  public void setCognome(String c) {  cognome = c;  }
  /** Assegna il nome della persona. */ 
  public void setNome(String n) {  nome = n;  }
  /** Assegna l'anno di nascita della persona. */
  public void setAnnoNascita(int a) {  annoNascita = a;  }

  /** Assegna l'indirizzo dove abita la persona. */
  public void setIndirizzo(String i) {  indirizzo = i;  }
  /** Assegna il telefono della persona. */
  public void setTelefono(String t) {  telefono = t;  }
  /** Assegna l'indirizzo email della persona. */
  public void setEmail(String e) {  email = e;  }

  // Funzioni per ritornare informazioni derivate dagli attributi
  
  /**
   * Dato l'anno in corso, ritorna l'eta' della persona.
   * @param  a   anno corrente
   * @return     la differenza fra anno corrente e anno di nascita 
   */
  public int getEta(int a) {  return (a-annoNascita);  }
  
}
