/**
 * Sotto-classe di Utente, rappresenta un utente abbonato,  il quale
 * puo' vedere solo se stesso e modificare solo indirizzo, telefono,
 * email, password.
 * L'attributo abbonato corrente, ereditato dalla super-classe,
 * e' usato per memorizzare se stesso some abbonato.
 * L'utente accede al data base mediante autenticazione con
 * cognome, nome, anno di nascita e password.
 */ 
public class UtenteAbbonato extends Utente
{
  // Costruttore
   
  /** 
   * Costruisce utente abbonato data la directory del data base, usata 
   * internamente per costruire il data base. Inizialmente
   * nessun abbonato e' selezionato e non ci sono state modifiche.
   * @param  nomeDir   nome della directory contenente i file del
   *                   data base
   */             
  public UtenteAbbonato(String nomeDir) throws Exception
  {  super(nomeDir);  }

  /** 
   * Chiede accesso al data base, fornendo il proprio
   * cognome, nome, anno di nascita e password. Se un abbonato
   * con quei cognome, nome, anno di nascita e' presente nel
   * data base, e la password e' uguale, concede l'accesso e
   * carica come abbonato selezionato proprio quello.
   * Altrimenti non carica, e l'abbonato selezionato resta null.
   */  
  public boolean chiediAccesso(String cognome, String nome, 
                               int anno, String pwd) throws Exception
  {
    String nomeFile = dataBase.nomeFile(cognome,nome,anno);
//System.out.println("Leggo da "+nomeFile);
    corrente = LeggiScriviAbbonati.leggi(nomeFile);
    if (corrente==null) return false;
    if (pwd.compareTo(corrente.password)==0) return true;
    else 
    {  corrente = null; return false; }
  }
  
  /**
   * Ritorna true sse l'ultima richiesta di accesso ha funzionato.
   * Si tratta di guardare se l'abbonato corrente non e' null.
   * @see UtenteAbbonato#chiediAccesso
   */
  public boolean haAccesso() {  return (corrente!=null);  }
  
}
